Bug 1180694 (CVE-2021-1052)

Summary: VUL-0: CVE-2021-1052: libnvidia-container: user-mode clients can access legacy privileged APIs
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Containers Team <containers-bugowner>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium CC: meissner, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/274914/
Whiteboard: CVSSv3.1:SUSE:CVE-2021-1052:7.8:(AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexander Bergmann 2021-01-08 10:29:02 UTC
CVE-2021-1052

NVIDIA GPU Display Driver for Windows and Linux, all versions, contains a
vulnerability in the kernel mode layer (nvlddmkm.sys) handler for DxgkDdiEscape
or IOCTL in which user-mode clients can access legacy privileged APIs, which may
lead to denial of service, escalation of privileges, and information disclosure.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-1052
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1052
https://nvidia.custhelp.com/app/answers/detail/a_id/5142